Subject: Re: bug#21383: Static revisions in vc-working-revision

From: Stefan Monnier <[email-masked]>
Date: Tue, 01 Sep 2015 23:50:05 -0400

> Maybe you see it better.  I only imagined the problem limited to the
> non-file-granularity backends.

You mean like most current backends? ;-)

> And we can't simply remove the FILE argument in many backend commands: it's
> often used for vc-file-get/setprop.

I know.

In any case, it's not that bad: it works.  But there's something fishy
that will surely bite at some point.  Maybe those FILE args should be
redefined to be relative to default-directory (and can't use things like
"../..").

        Stefan